package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesStationService;
import cn.estsh.i3plus.pojo.mes.bean.MesStation;
import cn.estsh.impp.framework.boot.util.ValidatorBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Reference :
 * @Author : PZJ
 * @CreateDate : 2024/9/20 14:46
 * @Modify:
 **/
@Service
@Slf4j
public class MesStationServiceImpl extends BaseMesService<MesStation> implements IMesStationService {

    @Override
    protected void onInsertBean(MesStation item) {
        ValidatorBean.checkNotNull(item.getEquipmentCode(),"设备代码不能为空");
    }

    @Override
    protected void onUpdateBean(MesStation item) {
        ValidatorBean.checkNotNull(item.getId(),"主键不能为空");
        ValidatorBean.checkNotNull(item.getEquipmentCode(),"设备代码不能为空");
    }
}
